Subject: Re: bug#4295: 23.1; saving default font

From: Jim Mahoney <[email-masked]>
Date: Mon, 31 Aug 2009 20:47:26 -0400

I've played around with this a bit more,
but haven't seen anything change, nor can
do I see any customization that would be interfering.

* I did have a macports emacs installed in
  /opt/local ; I've disabled it with no change in behavior.

* I have likewise disable my ~/.xemacs/ folder; I don't
  know if emacs uses that.

* I can't find a "battery" initialization in another emacs,
  nor have I see noticed that before.

* Apropos on "battery" shows "display-battery-mode";
  turning that on and then Options >> Save Options does
  write that to ~/.emacs :

thirty:Library$ more ~/.emacs
(custom-set-variables
  ;; custom-set-variables was added by Custom.
  ;; If you edit it by hand, you could mess it up, so be careful.
  ;; Your init file should contain only one such instance.
  ;; If there is more than one, they won't work right.
 '(display-battery-mode t))
(custom-set-faces
  ;; custom-set-faces was added by Custom.
  ;; If you edit it by hand, you could mess it up, so be careful.
  ;; Your init file should contain only one such instance.
  ;; If there is more than one, they won't work right.
 )

The status bar says "wrote /Users/mahoney/.emacs" after Save Options,
when I set or unset the "display-battery-mode".  However the default
font choice isn't saved.

So it knows how to write to ~/.emacs ; however, the "default font"
choice isn't seen as something that emacs needs to save.

The font choice dialog is mac-specific, as the movie link
I sent you shows.  If you haven't tested it on a Mac,
then it wouldn't surprise me that you can't see the bug.

As I said earlier, I would be interested in an emacs
with a simple Mac integration; however, this one doesn't
seem to pass this first test I tried.

I wish you all luck with it, and submitted the bug to
be helpful, but am not particularly interested in spending
the time to pursue this.

Good luck,

Jim Mahoney
Marlboro College

Stefan Monnier wrote:
>> I have tried it with several .emacs file variations.
>> "Save Defaults" on my system doesn't seem to modify .emacs.
>> I see a "loading battery" message in the status line,
>> whatever that means.
> 
> It means there is some customization somewhere (`battery' is not loaded
> by default, AFAIK).  It may be triggering the problem, somehow.
> Please try and figure out why/where is `battery' loaded.
> 
> 
>         Stefan
> 
> 
> SP: Please keep [email-masked] in the Cc.
>